1

I upgraded ExpressionEngine version to 2.9.0. and also Zoo Visitor to latest version. After upgrade, I am seeing a very strange error message after submitting Zoo Registration form exp:zoo_visitor:registration_form

Error

Something has gone wrong and this URL cannot be processed at this time.

Before, upgrade everything was working fine. Could anyone please help me.

4

Probably you have some broken conditional tag. The conditionals are more strict since 2.9.

4
  • not sure if so as after submitting the Zoo Registration form, the member get created but this error is showing. – Bhashkar Yadav Aug 13 '14 at 22:11
  • Not even on the template loaded after the registration? – Sobral Aug 14 '14 at 2:29
  • 1
    Robson, you are true the conditionals are more strict since 2.9. EE 2.8 didn't show a message error with this conditional code: {if segment_2 = ''} .... {/if}. It was working and without error message with only one = sign. EE 2.9 didn't accept this error !! – Stéphane Aug 14 '14 at 16:52
  • For me, EE 2.8 didn't show an error message for an (inadvertently) unclosed {if} conditional, but 2.9 did. Basically, I had: {exp:channel:entries} {matrix_field} {if matrix_col} {/matrix_field} {/exp:channel:entries}. Perhaps I didn't get error messages in 2.8 because the conditional was within the matrix tags...? – Sandwich Nov 17 '14 at 13:29
0

This could be caused by missing curly bracket.

I had hard time debugging this, turned out I had

return="{segment_1}/{segment_2/thanks"

where I should had

return="{segment_1}/{segment_2}/thanks"

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.